Bug 330342 - digiKam crash with faces recognition
Summary: digiKam crash with faces recognition
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Recognition (show other bugs)
Version: 4.0.0
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2014-01-23 19:37 UTC by toni
Modified: 2017-07-26 18:07 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description toni 2014-01-23 19:37:37 UTC
Application: digikam (4.0.0-beta3)
KDE Platform Version: 4.11.4
Qt Version: 4.8.5
Operating System: Linux 3.11.6-4-desktop i686
Distribution: "openSUSE 13.1 (Bottle) (i586)"

-- Information about the crash:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xae5bb800 (LWP 31473))]

Thread 9 (Thread 0xabe0ab40 (LWP 31474)):
#0  0xb7705424 in __kernel_vsyscall ()
#1  0xb5124f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb3ee11d5 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0x0821ac31 in Digikam::ScanController::run (this=0x8d13110) at /home/toni/bin/dk/core/digikam/database/scancontroller.cpp:725
#4  0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#5  0xb512107a in start_thread () from /lib/libpthread.so.0
#6  0xb310d80e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xab4ffb40 (LWP 31475)):
#0  0xb4021e66 in ?? () from /usr/lib/libQtCore.so.4
#1  0xb402043b in ?? () from /usr/lib/libQtCore.so.4
#2  0xb40204ca in ?? () from /usr/lib/libQtCore.so.4
#3  0xb23c90e3 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#4  0xb23c99ff in ?? () from /usr/lib/libglib-2.0.so.0
#5  0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#6  0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb3ede30d in QThread::exec() () from /usr/lib/libQtCore.so.4
#10 0xb3fcfe14 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#12 0xb512107a in start_thread () from /lib/libpthread.so.0
#13 0xb310d80e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xaaaffb40 (LWP 31485)):
#0  0xb7705424 in __kernel_vsyscall ()
#1  0xb5124f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb3ee11d5 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb65ee9ce in Digikam::ParkingThread::run (this=0x8e391d8) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:119
#4  0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#5  0xb512107a in start_thread () from /lib/libpthread.so.0
#6  0xb310d80e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x9da34b40 (LWP 31606)):
#0  0xb240c94e in ?? () from /usr/lib/libglib-2.0.so.0
#1  0xb240cc68 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0xb23c9ab8 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb65edf33 in Digikam::WorkerObjectRunnable::run (this=0x948a6a00) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:196
#8  0xb3ed3dda in ?? () from /usr/lib/libQtCore.so.4
#9  0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#10 0xb512107a in start_thread () from /lib/libpthread.so.0
#11 0xb310d80e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa223db40 (LWP 31933)):
#0  0xb23c6cc1 in ?? () from /usr/lib/libglib-2.0.so.0
#1  0xb23c9073 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0xb23c99ff in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb65edf33 in Digikam::WorkerObjectRunnable::run (this=0xb7c1278) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:196
#8  0xb3ed3dda in ?? () from /usr/lib/libQtCore.so.4
#9  0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#10 0xb512107a in start_thread () from /lib/libpthread.so.0
#11 0xb310d80e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa2a3eb40 (LWP 32163)):
#0  0xb7705424 in __kernel_vsyscall ()
#1  0xb512801b in read () from /lib/libpthread.so.0
#2  0xb240be4e in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb23c95fb in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#4  0xb23c9a9a in ?? () from /usr/lib/libglib-2.0.so.0
#5  0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#6  0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb65edf33 in Digikam::WorkerObjectRunnable::run (this=0xa70f9b0) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:196
#10 0xb3ed3dda in ?? () from /usr/lib/libQtCore.so.4
#11 0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#12 0xb512107a in start_thread () from /lib/libpthread.so.0
#13 0xb310d80e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa4241b40 (LWP 32164)):
#0  0xb5124303 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb240ccb0 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0xb23c96d8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#3  0xb23c9b88 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb65edf33 in Digikam::WorkerObjectRunnable::run (this=0x9ae0160) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:196
#9  0xb3ed3dda in ?? () from /usr/lib/libQtCore.so.4
#10 0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#11 0xb512107a in start_thread () from /lib/libpthread.so.0
#12 0xb310d80e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x9e235b40 (LWP 32165)):
[KCrash Handler]
#6  0xb7705424 in __kernel_vsyscall ()
#7  0xb304d6a6 in raise () from /lib/libc.so.6
#8  0xb304ee33 in abort () from /lib/libc.so.6
#9  0xb3ed608d in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#10 0xb3ed6237 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb3ed6768 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#12 0xb3ed681d in qt_assert_x(char const*, char const*, char const*, int) () from /usr/lib/libQtCore.so.4
#13 0x0831563c in QList<KFaceIface::Identity>::operator[] (this=0x946632bc, i=0) at /usr/include/QtCore/qlist.h:477
#14 0x0830e54d in Digikam::DatabaseWriter::process (this=0xcc54c18, package=...) at /home/toni/bin/dk/core/utilities/facemanagement/facepipeline.cpp:661
#15 0x0830a8ff in Digikam::DatabaseWriter::qt_static_metacall (_o=0xcc54c18, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x946beb88) at /home/toni/bin/dk/build/core/digikam/facepipeline_p.moc:493
#16 0xb40023da in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/libQtCore.so.4
#17 0xb400a2bb in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#18 0xb65efc25 in Digikam::WorkerObject::event (this=0xcc54c18, e=0x948b7298) at /home/toni/bin/dk/core/libs/threads/workerobject.cpp:160
#19 0xb347a4b4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#20 0xb3480ee3 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#21 0xb4607cb4 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#22 0xb3ff0fba in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#23 0xb3ff42e5 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#24 0xb3ff480c in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#25 0xb4020e0e in ?? () from /usr/lib/libQtCore.so.4
#26 0xb23c97de in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#27 0xb23c9b88 in ?? () from /usr/lib/libglib-2.0.so.0
#28 0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#29 0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#31 0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#32 0xb65edf33 in Digikam::WorkerObjectRunnable::run (this=0xb7cac30) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:196
#33 0xb3ed3dda in ?? () from /usr/lib/libQtCore.so.4
#34 0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#35 0xb512107a in start_thread () from /lib/libpthread.so.0
#36 0xb310d80e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xae5bb800 (LWP 31473)):
#0  0xb7705424 in __kernel_vsyscall ()
#1  0xb5124f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb3ee11d5 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb65ef94d in Digikam::WorkerObject::wait (this=0x8e9a780) at /home/toni/bin/dk/core/libs/threads/workerobject.cpp:95
#4  0x08264d8f in Digikam::FileActionMngr::shutDown (this=0x8e9a5b8) at /home/toni/bin/dk/core/digikam/fileaction/fileactionmngr.cpp:110
#5  0x08264a53 in Digikam::FileActionMngr::~FileActionMngr (this=0x8e9a5b8, __in_chrg=<optimized out>) at /home/toni/bin/dk/core/digikam/fileaction/fileactionmngr.cpp:78
#6  0x082662dd in Digikam::FileActionMngrCreator::~FileActionMngrCreator (this=0x8e9a5b8, __in_chrg=<optimized out>) at /home/toni/bin/dk/core/digikam/fileaction/fileactionmngr.cpp:52
#7  0x08264935 in destroy () at /home/toni/bin/dk/core/digikam/fileaction/fileactionmngr.cpp:59
#8  0x081f3bd3 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0x861deac <Digikam::._244::operator->()::cleanUpObject>, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#9  0xb30505a1 in __run_exit_handlers () from /lib/libc.so.6
#10 0xb30505fd in exit () from /lib/libc.so.6
#11 0xb34ee478 in ?? () from /usr/lib/libQtGui.so.4
#12 0xb46066b9 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#13 0xb4606774 in ?? () from /usr/lib/libkdeui.so.5
#14 0xb4f0e6b4 in _XIOError () from /usr/lib/libX11.so.6
#15 0xb4f0be2f in _XEventsQueued () from /usr/lib/libX11.so.6
#16 0xb4efce40 in XEventsQueued () from /usr/lib/libX11.so.6
#17 0xb3529eca in ?? () from /usr/lib/libQtGui.so.4
#18 0xb23c952f in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#19 0xb23c9a9a in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb40205ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#22 0xb352a51e in ?? () from /usr/lib/libQtGui.so.4
#23 0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#25 0xb3ff54fe in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#26 0xb3478944 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#27 0x0832656a in main (argc=5, argv=0xbfb06764) at /home/toni/bin/dk/core/digikam/main/main.cpp:236

The crash can be reproduced every time.

-- Backtrace:
Application: digiKam (digikam), signal: Aborted
Using host libthread_db library "/lib/libthread_db.so.1".
[Current thread is 1 (Thread 0xae5bb800 (LWP 31473))]

Thread 9 (Thread 0xabe0ab40 (LWP 31474)):
#0  0xb7705424 in __kernel_vsyscall ()
#1  0xb5124f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb3ee11d5 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0x0821ac31 in Digikam::ScanController::run (this=0x8d13110) at /home/toni/bin/dk/core/digikam/database/scancontroller.cpp:725
#4  0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#5  0xb512107a in start_thread () from /lib/libpthread.so.0
#6  0xb310d80e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xab4ffb40 (LWP 31475)):
#0  0xb4021e66 in ?? () from /usr/lib/libQtCore.so.4
#1  0xb402043b in ?? () from /usr/lib/libQtCore.so.4
#2  0xb40204ca in ?? () from /usr/lib/libQtCore.so.4
#3  0xb23c90e3 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#4  0xb23c99ff in ?? () from /usr/lib/libglib-2.0.so.0
#5  0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#6  0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb3ede30d in QThread::exec() () from /usr/lib/libQtCore.so.4
#10 0xb3fcfe14 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#12 0xb512107a in start_thread () from /lib/libpthread.so.0
#13 0xb310d80e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xaaaffb40 (LWP 31485)):
#0  0xb7705424 in __kernel_vsyscall ()
#1  0xb5124f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb3ee11d5 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb65ee9ce in Digikam::ParkingThread::run (this=0x8e391d8) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:119
#4  0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#5  0xb512107a in start_thread () from /lib/libpthread.so.0
#6  0xb310d80e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x9da34b40 (LWP 31606)):
#0  0xb240c94e in ?? () from /usr/lib/libglib-2.0.so.0
#1  0xb240cc68 in g_mutex_lock () from /usr/lib/libglib-2.0.so.0
#2  0xb23c9ab8 in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb65edf33 in Digikam::WorkerObjectRunnable::run (this=0x948a6a00) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:196
#8  0xb3ed3dda in ?? () from /usr/lib/libQtCore.so.4
#9  0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#10 0xb512107a in start_thread () from /lib/libpthread.so.0
#11 0xb310d80e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa223db40 (LWP 31933)):
#0  0xb23c6cc1 in ?? () from /usr/lib/libglib-2.0.so.0
#1  0xb23c9073 in g_main_context_prepare () from /usr/lib/libglib-2.0.so.0
#2  0xb23c99ff in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#4  0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb65edf33 in Digikam::WorkerObjectRunnable::run (this=0xb7c1278) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:196
#8  0xb3ed3dda in ?? () from /usr/lib/libQtCore.so.4
#9  0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#10 0xb512107a in start_thread () from /lib/libpthread.so.0
#11 0xb310d80e in clone () from /lib/libc.so.6

Thread 4 (Thread 0xa2a3eb40 (LWP 32163)):
#0  0xb7705424 in __kernel_vsyscall ()
#1  0xb512801b in read () from /lib/libpthread.so.0
#2  0xb240be4e in ?? () from /usr/lib/libglib-2.0.so.0
#3  0xb23c95fb in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#4  0xb23c9a9a in ?? () from /usr/lib/libglib-2.0.so.0
#5  0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#6  0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#9  0xb65edf33 in Digikam::WorkerObjectRunnable::run (this=0xa70f9b0) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:196
#10 0xb3ed3dda in ?? () from /usr/lib/libQtCore.so.4
#11 0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#12 0xb512107a in start_thread () from /lib/libpthread.so.0
#13 0xb310d80e in clone () from /lib/libc.so.6

Thread 3 (Thread 0xa4241b40 (LWP 32164)):
#0  0xb5124303 in __pthread_mutex_unlock_usercnt () from /lib/libpthread.so.0
#1  0xb240ccb0 in g_mutex_unlock () from /usr/lib/libglib-2.0.so.0
#2  0xb23c96d8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#3  0xb23c9b88 in ?? () from /usr/lib/libglib-2.0.so.0
#4  0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#5  0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#8  0xb65edf33 in Digikam::WorkerObjectRunnable::run (this=0x9ae0160) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:196
#9  0xb3ed3dda in ?? () from /usr/lib/libQtCore.so.4
#10 0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#11 0xb512107a in start_thread () from /lib/libpthread.so.0
#12 0xb310d80e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x9e235b40 (LWP 32165)):
[KCrash Handler]
#6  0xb7705424 in __kernel_vsyscall ()
#7  0xb304d6a6 in raise () from /lib/libc.so.6
#8  0xb304ee33 in abort () from /lib/libc.so.6
#9  0xb3ed608d in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#10 0xb3ed6237 in ?? () from /usr/lib/libQtCore.so.4
#11 0xb3ed6768 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#12 0xb3ed681d in qt_assert_x(char const*, char const*, char const*, int) () from /usr/lib/libQtCore.so.4
#13 0x0831563c in QList<KFaceIface::Identity>::operator[] (this=0x946632bc, i=0) at /usr/include/QtCore/qlist.h:477
#14 0x0830e54d in Digikam::DatabaseWriter::process (this=0xcc54c18, package=...) at /home/toni/bin/dk/core/utilities/facemanagement/facepipeline.cpp:661
#15 0x0830a8ff in Digikam::DatabaseWriter::qt_static_metacall (_o=0xcc54c18, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x946beb88) at /home/toni/bin/dk/build/core/digikam/facepipeline_p.moc:493
#16 0xb40023da in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/libQtCore.so.4
#17 0xb400a2bb in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#18 0xb65efc25 in Digikam::WorkerObject::event (this=0xcc54c18, e=0x948b7298) at /home/toni/bin/dk/core/libs/threads/workerobject.cpp:160
#19 0xb347a4b4 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#20 0xb3480ee3 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#21 0xb4607cb4 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#22 0xb3ff0fba in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#23 0xb3ff42e5 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#24 0xb3ff480c in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#25 0xb4020e0e in ?? () from /usr/lib/libQtCore.so.4
#26 0xb23c97de in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#27 0xb23c9b88 in ?? () from /usr/lib/libglib-2.0.so.0
#28 0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#29 0xb402060f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#30 0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#31 0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#32 0xb65edf33 in Digikam::WorkerObjectRunnable::run (this=0xb7cac30) at /home/toni/bin/dk/core/libs/threads/threadmanager.cpp:196
#33 0xb3ed3dda in ?? () from /usr/lib/libQtCore.so.4
#34 0xb3ee0c5f in ?? () from /usr/lib/libQtCore.so.4
#35 0xb512107a in start_thread () from /lib/libpthread.so.0
#36 0xb310d80e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xae5bb800 (LWP 31473)):
#0  0xb7705424 in __kernel_vsyscall ()
#1  0xb5124f2c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb3ee11d5 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#3  0xb65ef94d in Digikam::WorkerObject::wait (this=0x8e9a780) at /home/toni/bin/dk/core/libs/threads/workerobject.cpp:95
#4  0x08264d8f in Digikam::FileActionMngr::shutDown (this=0x8e9a5b8) at /home/toni/bin/dk/core/digikam/fileaction/fileactionmngr.cpp:110
#5  0x08264a53 in Digikam::FileActionMngr::~FileActionMngr (this=0x8e9a5b8, __in_chrg=<optimized out>) at /home/toni/bin/dk/core/digikam/fileaction/fileactionmngr.cpp:78
#6  0x082662dd in Digikam::FileActionMngrCreator::~FileActionMngrCreator (this=0x8e9a5b8, __in_chrg=<optimized out>) at /home/toni/bin/dk/core/digikam/fileaction/fileactionmngr.cpp:52
#7  0x08264935 in destroy () at /home/toni/bin/dk/core/digikam/fileaction/fileactionmngr.cpp:59
#8  0x081f3bd3 in KCleanUpGlobalStatic::~KCleanUpGlobalStatic (this=0x861deac <Digikam::._244::operator->()::cleanUpObject>, __in_chrg=<optimized out>) at /usr/include/kglobal.h:62
#9  0xb30505a1 in __run_exit_handlers () from /lib/libc.so.6
#10 0xb30505fd in exit () from /lib/libc.so.6
#11 0xb34ee478 in ?? () from /usr/lib/libQtGui.so.4
#12 0xb46066b9 in KApplication::xioErrhandler(_XDisplay*) () from /usr/lib/libkdeui.so.5
#13 0xb4606774 in ?? () from /usr/lib/libkdeui.so.5
#14 0xb4f0e6b4 in _XIOError () from /usr/lib/libX11.so.6
#15 0xb4f0be2f in _XEventsQueued () from /usr/lib/libX11.so.6
#16 0xb4efce40 in XEventsQueued () from /usr/lib/libX11.so.6
#17 0xb3529eca in ?? () from /usr/lib/libQtGui.so.4
#18 0xb23c952f in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#19 0xb23c9a9a in ?? () from /usr/lib/libglib-2.0.so.0
#20 0xb23c9c48 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#21 0xb40205ef in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#22 0xb352a51e in ?? () from /usr/lib/libQtGui.so.4
#23 0xb3fefa03 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#24 0xb3fefd29 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#25 0xb3ff54fe in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#26 0xb3478944 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#27 0x0832656a in main (argc=5, argv=0xbfb06764) at /home/toni/bin/dk/core/digikam/main/main.cpp:236

Reported using DrKonqi
Comment 1 caulier.gilles 2014-05-16 07:30:18 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 2 caulier.gilles 2014-06-11 21:13:57 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 3 caulier.gilles 2014-06-11 21:30:55 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 4 caulier.gilles 2014-06-18 14:26:14 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 5 caulier.gilles 2014-06-24 12:43:29 UTC
Git commit 1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b by Gilles Caulier.
Committed on 24/06/2014 at 12:32.
Pushed by cgilles into branch 'master'.

add more test before to commit/checkout compressed histogram data in Face database, to prevent crashes, especially if data are corrupted from database.
Related: bug 335624, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +62   -28   libkface/database/trainingdb.cpp

http://commits.kde.org/libkface/1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b
Comment 6 caulier.gilles 2014-06-24 13:53:42 UTC
With next digiKam 4.1.0, a lots of improvements/fixes have be done around face management. Please give us a fresh feedback.

Note i recommend to delete face recognition database to prevent dysfunction due to possible wrong data store in this container. Look where file is located in my computer :

[gilles@localhost database]$ pwd
/home/gilles/.kde4/share/apps/libkface/database
[gilles@localhost database]$ ls -al
total 397028
drwx------ 2 gilles gilles      4096 juin  24 14:22 ./
drwx------ 3 gilles gilles      4096 juin  18 19:08 ../
-rw-r--r-- 1 gilles gilles 406543360 juin  24 14:22 recognition.db
[gilles@localhost database]$
Comment 7 caulier.gilles 2014-08-24 09:03:35 UTC
We need a fresh feedback of this file using last digiKam 4.2.0

Gilles Caulier
Comment 8 caulier.gilles 2015-06-24 16:17:33 UTC
New digiKam 4.11.0 is available :

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?

Gilles Caulier
Comment 9 caulier.gilles 2015-08-17 11:26:30 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 10 caulier.gilles 2016-07-14 05:50:53 UTC
With next 5.1.0 release, a lots of investigations have be done around OpenCV
face module integration with digiKam Face Engine.
See bug #365202 history for details.
I close this file now. Don't hesistate to re-open if necessary.
Gilles Caulier